CTAGS-LANG-C++(7)

NAME
ctags-lang-c++ - Random notes about tagging C++ source code with Universal Ctags

SYNOPSIS
ctags ... --languages=+C++ ...
ctags ... --language-force=C++ ...
ctags ... --map-C++=+.c++  ...
ctags ... --map-C++=+.cc  ...
ctags ... --map-C++=+.cpp  ...
ctags ... --map-C++=+.h  ...
...

DESCRIPTION

This man page gathers random notes about tagging C++ source code.

VERSIONS

  Change since "0.0"

•   New field section

•   New field alias

  Change since "1.1"

•   New kinds module and partition

•   New roles imported and exported for header kind

SEE ALSO

ctags(1), ctags-lang-ldscript(7), The new C/C++ parser <https://docs.ctags.io/en/latest/parser-cxx.html>
 ( <https://docs.ctags.io/en/latest/parser-cxx.html> )